local BattleBaseController = require "app/module/battle/controller/battle_base_controller"
local BattleController = class("BattleController", BattleBaseController)
local BattleConst = GConst.BattleConst

-- *************各个子模块的战斗需要重写的方法 START*************
function BattleController:getBoardConfig()
    return {}
end

function BattleController:getChapterConfig()
    return {}
end

function BattleController:getChapterId()
    return 0
end

-- 战斗对应的ui
function BattleController:getBattleUIPath()
	return "app/ui/battle/battle_ui"
end

-- 战斗结束
function BattleController:controllBattleEnd()
end

-- 不同模块的战斗需要初始化的东西
function BattleController:initOther()
end

-- 怪物攻击力加成
function BattleController:getMonsterAtkAddition()
	return 0
end

-- 怪物血量加成
function BattleController:getMonsterHpAddition()
	return 0
end

-- 需要额外加载的资源
function BattleController:loadOtherRes(callback)
	return callback()
end

function BattleController:postWaveOver(atkDead, isQuit)

end

function BattleController:postFightStart()

end

-- *************各个子模块的战斗需要重写的方法 END*************
function BattleController:ctor()
    self.battleData = DataManager.BattleData
end

return BattleController